TechDraw KosmetikKnoten

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

TechDraw CosmeticVertex.svg TechDraw KosmetikKnoten

Menüeintrag
TechDraw → Knoten hinzufügen → Kosmetischen Knoten hinzufügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
Mittenpunkt Knoten hinzufügen, Quadrantenknoten hinzufügen


Beschreibung

Das Kosmetikknoten Werkzeug fügt einer Ansicht einen Knoten hinzu, der nicht Teil der Quellgeometrie ist. Dieser Knoten verhält sich wie jeder andere Knoten und kann für die Bemaßung verwendet werden.

TechDraw CosmeticVertex Sample.png

Kosmetikknoten, der zur Erzeugung einer sonst unmöglichen Bemaßung verwendet wird


Anwendung

  1. Wähle eine Ansicht in der Zeichnung.
  2. Drücke die TechDraw CosmeticVertex.svg Kosmetikknoten hinzufügen Schaltfläche
  3. Ein Aufgabendialog wird geöffnet. Er ermöglicht es, die Position des kosmetischen Knotens entweder durch Auswahl eines Punktes oder durch Eingabe eines x,y-Versatzes von der Mitte der gewählten Ansicht aus festzulegen.
  4. Um eine Position auszuwählen, drücke die Taste Point Picker. Klicke auf eine Position in der Ansicht und drücke anschließend OK um den Punkt zu erstellen. Um die Punktauswahl zu beenden, ohne einen Kosmetikknoten zu erstellen, drücke die Escape picking Schaltfläche im Dialogfeld.

Um einen Kosmetikknoten zu löschen, wähle ihn aus und verwende die Werkzeugleistenschaltfläche TechDraw CosmeticEraser.svg Kosmetikobjekt entfernen.

Hinweis: Du kannst die Position des Kosmetikknoten nicht mehr ändern, nachdem er erstellt wurde. Im Moment gibt es keine andere Möglichkeit, als ihn zu löschen und einen neuen zu erstellen.

Eigenschaften

Kosmetische Knoten haben keine eigenen Eigenschaften, da sie keine Dokumentobjekte sind. Sie haben gemeinsame Farb- und Größeneinstellungen mit regulären Geometrieknoten.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Kosmetische Knoten sind für Makros oder die Python Konsole verfügbar.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)